PrivateRequest (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.soap
Class PrivateRequest

    java.lang.Object
      |
      +--org.emboss.jemboss.soap.PrivateRequest

public class PrivateRequest
extends java.lang.Object

Field Summary
`private boolean` | `authenticationerror`
`private java.util.Hashtable` | `proganswer`
`private java.lang.String` | `result`
`private boolean` | `successful`

Constructor Summary
`PrivateRequest(JembossParams mysettings, java.lang.String service, java.lang.String method)` Make a soap call to a private server
`PrivateRequest(JembossParams mysettings, java.lang.String service, java.lang.String method, java.util.Vector args)` Make a soap call to a private server
`PrivateRequest(JembossParams mysettings, java.lang.String method, java.util.Vector args)` Make a soap call to a private server, using the default service

Method Summary
`java.util.Hashtable` | `getHash()`
`java.lang.String` | `getResult()`
`java.lang.Object` | `getVal(java.lang.String val)` Gets an element out of the embreo result hash
`private java.util.Vector` | `getVector(java.util.Hashtable h)`
`boolean` | `succeeded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proganswer

    private java.util.Hashtable proganswer

### result

    private java.lang.String result

### successful

    private boolean successful

### authenticationerror

    private boolean authenticationerror

Constructor Detail

### PrivateRequest

    public PrivateRequest(JembossParams mysettings,
                          java.lang.String method,
                          java.util.Vector args)
                   throws JembossSoapException

  Make a soap call to a private server, using the default service

Parameters:
  `mysettings` - JembossParams defining server parameters
  `method` - String defining which method to call
  `args` - Vector of arguments
Throws:
  `JembossSoapException` - If authentication fails

### PrivateRequest

    public PrivateRequest(JembossParams mysettings,
                          java.lang.String service,
                          java.lang.String method)
                   throws JembossSoapException

  Make a soap call to a private server

Parameters:
  `mysettings` - JembossParams defining server parameters
  `service` - String defining which service to call
  `method` - String defining which method to call
Throws:
  `JembossSoapException` - If authentication fails

### PrivateRequest

    public PrivateRequest(JembossParams mysettings,
                          java.lang.String service,
                          java.lang.String method,
                          java.util.Vector args)
                   throws JembossSoapException

  Make a soap call to a private server

Parameters:
  `mysettings` - JembossParams defining server parameters
  `service` - String defining which service to call
  `method` - String defining which method to call
  `args` - Vector of arguments
Throws:
  `JembossSoapException` - If authentication fails

Method Detail

### getVector

    private java.util.Vector getVector(java.util.Hashtable h)

### succeeded

    public boolean succeeded()

  Returns:
    true if the call succeeded (eventually) or not

### getVal

    public java.lang.Object getVal(java.lang.String val)

  Gets an element out of the embreo result hash

  Parameters:
    `val` - The key to look up
  Returns:
    Either the element, or an empty String if there is no an element that matches the key

### getResult

    public java.lang.String getResult()

  Returns:
    The result of the soap server call. This is the first element that is returned. Only useful for server methods that return a simple value.

### getHash

    public java.util.Hashtable getHash()

  Returns:
    Hahtable of results returned by the server call.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD